<html>
<head>
<title>cookiecounter Source</title>
</head>
<body>
<plaintext>
cookiecounter.ctf

#!/bin/sh /ss/bin/ss.exe
<%
    response = Response()
    response.isBuffered(true)
%>
<html>
    <head>
        <title>Cookie Counter</title>
    </head>
    <body>

<%
    counter = Request().Cookies("cookiecounter")
    if counter = null then
        print("cookie counter did not exist")
        counter = 1
    else
        print("cookie counter is " + counter)
        counter = integer(counter) + 1
    end
    response.Cookies("cookiecounter", counter)
    response.isBuffered(false)
%>
    </body>
</html>

